Package twisted :: Package spread :: Module pb :: Class IUsernameMD5Password

[frames | no frames]

## Class IUsernameMD5Password

    Interface --+
                |
     ICredentials --+
                    |
                   IUsernameMD5Password

I encapsulate a username and a hashed password.

This credential is used for username/password over PB. CredentialCheckers which check this kind of credential must store the passwords in plaintext form or as a MD5 digest.

Method Summary
| ``checkMD5Password`(self, password)` Validate these credentials against the correct MD5 digest of password.
| ``checkPassword`(self, password)` Validate these credentials against the correct password.

Instance Variable Summary
`str` or `Deferred` | `username`: The username associated with these credentials.

Class Variable Summary
Inherited from ICredentials
| `__implements__`: Implementors _must_ provide an __implements__ attribute which contains at least the list of sub-interfaces of ICredentials to which it conforms.

Method Details

### checkMD5Password(self, password)

Validate these credentials against the correct MD5 digest of password.

  Parameters:
    `password` - The correct, plaintext password against which to @check.
  Returns:
    a deferred which becomes, or a boolean indicating if the password matches.

### checkPassword(self, password)

Validate these credentials against the correct password.

  Parameters:
    `password` - The correct, plaintext password against which to @check.
  Returns:
    a deferred which becomes, or a boolean indicating if the password matches.

Instance Variable Details

### username

The username associated with these credentials.

  Type:
    `str` or `Deferred`

Generated by Epydoc 2.0 on Sat May 15 20:08:43 2004 | http://epydoc.sf.net